Adds a data stream or index to an alias.
Path parameters
-
Comma-separated list of data streams or indices to add. Supports wildcards (
*). Wildcard patterns that match both data streams and indices return an error. -
Alias to update. If the alias doesn’t exist, the request creates it. Index alias names support date math.
Query parameters
-
Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
Values are
-1or0.External documentation -
Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
Values are
-1or0.External documentation
Body
-
Query used to limit documents the alias can access.
External documentation Hide filter attributes Show filter attributes object
-
matches documents matching boolean combinations of other queries.
External documentation Hide bool attributes Show bool attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Returns documents matching a
positivequery while reducing the relevance score of documents that also match anegativequery.External documentation Hide boosting attributes Show boosting attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Floating point number between 0 and 1.0 used to decrease the relevance scores of documents matching the
negativequery. -
Query used to decrease the relevance score of matching documents.
-
Any returned documents must match this query.
-
-
The
combined_fieldsquery supports searching multiple text fields as if their contents had been indexed into one combined field.External documentation Hide combined_fields attributes Show combined_fields attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
List of fields to search. Field wildcard patterns are allowed. Only
textfields are supported, and they must all have the same searchanalyzer. -
Text to search for in the provided
fields. Thecombined_fieldsquery analyzes the provided text before performing a search. -
If true, match phrase queries are automatically created for multi-term synonyms.
Default value is
true. -
Boolean logic used to interpret text in the query value.
Values are
ororand. -
Indicates whether no documents are returned if the analyzer removes all tokens, such as when using a
stopfilter.Values are
noneorall.
-
-
Wraps a filter query and returns every matching document with a relevance score equal to the
boostparameter value.External documentation Hide constant_score attributes Show constant_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Filter query you wish to run. Any returned documents must match this query. Filter queries do not calculate relevance scores. To speed up performance, Elasticsearch automatically caches frequently used filter queries.
-
-
Returns documents matching one or more wrapped queries, called query clauses or clauses. If a returned document matches multiple query clauses, the
dis_maxquery assigns the document the highest relevance score from any matching clause, plus a tie breaking increment for any additional matching subqueries.External documentation Hide dis_max attributes Show dis_max attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
One or more query clauses. Returned documents must match one or more of these queries. If a document matches multiple queries, Elasticsearch uses the highest relevance score.
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
-
Floating point number between 0 and 1.0 used to increase the relevance scores of documents matching multiple query clauses.
Default value is
0.0.
-
distance_feature
object Required Boosts the relevance score of documents closer to a provided origin date or point. For example, you can use this query to give more weight to documents closer to a certain date or location.
External documentation -
Returns documents that contain an indexed value for a field.
External documentation Hide exists attributes Show exists attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Name of the field you wish to search.
-
-
The
function_scoreenables you to modify the score of documents that are retrieved by a query.External documentation Hide function_score attributes Show function_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Defines how he newly computed score is combined with the score of the query
Values are
multiply,replace,sum,avg,max, ormin. -
One or more functions that compute a new score for each document returned by the query.
-
Restricts the new score to not exceed the provided limit.
-
Excludes documents that do not meet the provided score threshold.
-
A query that determines the documents for which a new score is computed.
-
Specifies how the computed scores are combined
Values are
multiply,sum,avg,first,max, ormin.
-
-
Returns documents that contain terms similar to the search term, as measured by a Levenshtein edit distance.
External documentation -
Matches geo_point and geo_shape values that intersect a bounding box.
External documentation Hide geo_bounding_box attributes Show geo_bounding_box attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Values are
memoryorindexed. -
Set to
IGNORE_MALFORMEDto accept geo points with invalid latitude or longitude. Set toCOERCEto also try to infer correct latitude or longitude.Values are
coerce,ignore_malformed, orstrict. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Matches
geo_pointandgeo_shapevalues within a given distance of a geopoint.External documentation Hide geo_distance attributes Show geo_distance attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The radius of the circle centred on the specified location. Points which fall into this circle are considered to be matches.
-
How to compute the distance. Set to
planefor a faster calculation that's inaccurate on long distances and close to the poles.Values are
arcorplane. -
Set to
IGNORE_MALFORMEDto accept geo points with invalid latitude or longitude. Set toCOERCEto also try to infer correct latitude or longitude.Values are
coerce,ignore_malformed, orstrict. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Matches
geo_pointandgeo_shapevalues that intersect a grid cell from a GeoGrid aggregation. -
Hide geo_polygon attributes Show geo_polygon attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Values are
coerce,ignore_malformed, orstrict.
-
-
Filter documents indexed using either the
geo_shapeor thegeo_pointtype.External documentation Hide geo_shape attributes Show geo_shape attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Set to
trueto ignore an unmapped field and not match any documents for this query. Set tofalseto throw an exception if the field is not mapped.Default value is
false.
-
-
Returns parent documents whose joined child documents match a provided query.
External documentation Hide has_child attributes Show has_child attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped
typeand not return any documents instead of an error.Default value is
false. -
If defined, each search hit will contain inner hits.
-
Maximum number of child documents that match the query allowed for a returned parent document. If the parent document exceeds this limit, it is excluded from the search results.
-
Minimum number of child documents that match the query required to match the query for a returned parent document. If the parent document does not meet this limit, it is excluded from the search results.
-
Query you wish to run on child documents of the
typefield. If a child document matches the search, the query returns the parent document. -
Indicates how scores for matching child documents affect the root parent document’s relevance score.
Values are
none,avg,sum,max, ormin. -
Name of the child relationship mapped for the
joinfield.
-
-
Returns child documents whose joined parent document matches a provided query.
External documentation Hide has_parent attributes Show has_parent attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped
parent_typeand not return any documents instead of an error. You can use this parameter to query multiple indices that may not contain theparent_type.Default value is
false. -
If defined, each search hit will contain inner hits.
-
Name of the parent relationship mapped for the
joinfield. -
Query you wish to run on parent documents of the
parent_typefield. If a parent document matches the search, the query returns its child documents. -
Indicates whether the relevance score of a matching parent document is aggregated into its child documents.
Default value is
false.
-
-
Returns documents based on their IDs. This query uses document IDs stored in the
_idfield.External documentation Hide ids attributes Show ids attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Returns documents based on the order and proximity of matching terms.
External documentation -
Finds the k nearest vectors to a query vector, as measured by a similarity metric. knn query finds nearest vectors through approximate search on indexed dense_vectors.
External documentation Hide knn attributes Show knn attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The name of the vector field to search against
-
The query vector
-
The query vector builder. You must provide a query_vector_builder or query_vector, but not both.
-
The number of nearest neighbor candidates to consider per shard
-
The percentage of vectors to explore per shard while doing knn search with bbq_disk
-
The final number of nearest neighbors to return as top hits
-
The minimum similarity for a vector to be considered a match
-
Apply oversampling and rescoring to quantized vectors
-
-
Returns documents that match a provided text, number, date or boolean value. The provided text is analyzed before matching.
External documentation -
Matches all documents, giving them all a
_scoreof 1.0.External documentation Hide match_all attributes Show match_all attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Analyzes its input and constructs a
boolquery from the terms. Each term except the last is used in atermquery. The last term is used in a prefix query.External documentation -
Matches no documents.
External documentation Hide match_none attributes Show match_none attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Analyzes the text and creates a phrase query out of the analyzed text.
External documentation -
Returns documents that contain the words of a provided text, in the same order as provided. The last term of the provided text is treated as a prefix, matching any words that begin with that term.
External documentation -
Returns documents that are "like" a given set of documents.
External documentation Hide more_like_this attributes Show more_like_this attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The analyzer that is used to analyze the free form text. Defaults to the analyzer associated with the first field in fields.
External documentation -
Each term in the formed query could be further boosted by their tf-idf score. This sets the boost factor to use when using this feature. Defaults to deactivated (0).
Default value is
0.0. -
Controls whether the query should fail (throw an exception) if any of the specified fields are not of the supported types (
textorkeyword).Default value is
true. -
A list of fields to fetch and analyze the text from. Defaults to the
index.query.default_fieldindex setting, which has a default value of*. -
Specifies whether the input documents should also be included in the search results returned.
Default value is
false. -
The maximum document frequency above which the terms are ignored from the input document.
-
The maximum number of query terms that can be selected.
Default value is
25.0. -
The maximum word length above which the terms are ignored. Defaults to unbounded (
0).Default value is
0.0. -
The minimum document frequency below which the terms are ignored from the input document.
Default value is
5.0. -
The minimum term frequency below which the terms are ignored from the input document.
Default value is
2.0. -
The minimum word length below which the terms are ignored.
Default value is
0.0. -
Values are
internal,external, orexternal_gte.
-
-
Enables you to search for a provided text, number, date or boolean value across multiple fields. The provided text is analyzed before matching.
External documentation Hide multi_match attributes Show multi_match attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Analyzer used to convert the text in the query value into tokens.
-
If
true, match phrase queries are automatically created for multi-term synonyms.Default value is
true. -
The fields to be queried. Defaults to the
index.query.default_fieldindex settings, which in turn defaults to*. -
Method used to rewrite the query.
-
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba). Can be applied to the term subqueries constructed for all terms but the final term.Default value is
true. -
If
true, format-based errors, such as providing a text query value for a numeric field, are ignored.Default value is
false. -
Maximum number of terms to which the query will expand.
Default value is
50.0. -
Boolean logic used to interpret text in the query value.
Values are
and,AND,or, orOR. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
Text, number, boolean value or date you wish to find in the provided field.
-
Maximum number of positions allowed between matching tokens.
Default value is
0.0. -
Determines how scores for each per-term blended query and scores across groups are combined.
Default value is
0.0. -
How
themulti_match query is executed internally.Values are
best_fields,most_fields,cross_fields,phrase,phrase_prefix, orbool_prefix. -
Indicates whether no documents are returned if the
analyzerremoves all tokens, such as when using astopfilter.Values are
allornone.
-
-
Wraps another query to search nested fields. If an object matches the search, the nested query returns the root parent document.
External documentation Hide nested attributes Show nested attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Indicates whether to ignore an unmapped path and not return any documents instead of an error.
Default value is
false. -
If defined, each search hit will contain inner hits.
-
Path to the nested object you wish to search.
-
Query you wish to run on nested objects in the path.
-
How scores for matching child objects affect the root parent document’s relevance score.
Values are
none,avg,sum,max, ormin.
-
-
Returns child documents joined to a specific parent document.
External documentation Hide parent_id attributes Show parent_id attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
ID of the parent document.
-
Indicates whether to ignore an unmapped
typeand not return any documents instead of an error.Default value is
false. -
Name of the child relationship mapped for the
joinfield.
-
-
Matches queries stored in an index.
External documentation Hide percolate attributes Show percolate attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The source of the document being percolated.
-
An array of sources of the documents being percolated.
-
Field that holds the indexed queries. The field must use the
percolatormapping type. -
The ID of a stored document to percolate.
-
The index of a stored document to percolate.
-
The suffix used for the
_percolator_document_slotfield when multiplepercolatequeries are specified. -
Preference used to fetch document to percolate.
-
Routing used to fetch document to percolate.
-
The expected version of a stored document to percolate.
-
-
Promotes selected documents to rank higher than those matching a given query.
External documentation Hide pinned attributes Show pinned attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Document IDs listed in the order they are to appear in results. Required if
docsis not specified. -
Documents listed in the order they are to appear in results. Required if
idsis not specified.
-
-
Returns documents that contain a specific prefix in a provided field.
External documentation -
Returns documents based on a provided query string, using a parser with a strict syntax.
External documentation Hide query_string attributes Show query_string attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
If
true, the wildcard characters*and?are allowed as the first character of the query string.Default value is
true. -
Analyzer used to convert text in the query string into tokens.
-
If
true, the query attempts to analyze wildcard terms in the query string.Default value is
false. -
If
true, match phrase queries are automatically created for multi-term synonyms.Default value is
true. -
Default field to search if no field is provided in the query string. Supports wildcards (
*). Defaults to theindex.query.default_fieldindex setting, which has a default value of*. -
Default boolean logic used to interpret text in the query string if no operators are specified.
Values are
and,AND,or, orOR. -
If
true, enable position increments in queries constructed from aquery_stringsearch.Default value is
true. -
Default value is
false. -
Array of fields to search. Supports wildcards (
*). -
Maximum number of terms to which the query expands for fuzzy matching.
Default value is
50.0. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
Method used to rewrite the query.
-
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba).Default value is
true. -
If
true, format-based errors, such as providing a text value for a numeric field, are ignored.Default value is
false. -
Maximum number of automaton states required for the query.
Default value is
10000.0. -
Maximum number of positions allowed between matching tokens for phrases.
Default value is
0.0. -
Query string you wish to parse and use for search.
-
Analyzer used to convert quoted text in the query string into tokens. For quoted text, this parameter overrides the analyzer specified in the
analyzerparameter. -
Suffix appended to quoted text in the query string. You can use this suffix to use a different analysis method for exact matches.
-
Method used to rewrite the query.
-
How to combine the queries generated from the individual search terms in the resulting
dis_maxquery. -
Coordinated Universal Time (UTC) offset or IANA time zone used to convert date values in the query string to UTC.
-
Determines how the query matches and scores documents.
Values are
best_fields,most_fields,cross_fields,phrase,phrase_prefix, orbool_prefix.
-
-
Returns documents that contain terms within a provided range.
External documentation -
Boosts the relevance score of documents based on the numeric value of a
rank_featureorrank_featuresfield.External documentation Hide rank_feature attributes Show rank_feature attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
rank_featureorrank_featuresfield used to boost relevance scores.
-
-
Returns documents that contain terms matching a regular expression.
External documentation -
Hide rule attributes Show rule attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
An Elasticsearch Query DSL (Domain Specific Language) object that defines a query.
-
-
Filters documents based on a provided script. The script query is typically used in a filter context.
External documentation Hide script attributes Show script attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Contains a script to run as a query. This script must return a boolean value,
trueorfalse.
-
-
Uses a script to provide a custom score for returned documents.
External documentation Hide script_score attributes Show script_score attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Documents with a score lower than this floating point number are excluded from the search results.
-
Query used to return documents.
-
Script used to compute the score of documents returned by the query. Important: final relevance scores from the
script_scorequery cannot be negative.
-
-
A semantic query to semantic_text field types
Hide semantic attributes Show semantic attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The field to query, which must be a semantic_text field type
-
The query text
-
-
Queries documents that contain fields indexed using the
shapetype.External documentation Hide shape attributes Show shape attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
When set to
truethe query ignores an unmapped field and will not match any documents.
-
-
Returns documents based on a provided query string, using a parser with a limited but fault-tolerant syntax.
External documentation Hide simple_query_string attributes Show simple_query_string attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Analyzer used to convert text in the query string into tokens.
-
If
true, the query attempts to analyze wildcard terms in the query string.Default value is
false. -
If
true, the parser creates a match_phrase query for each multi-position token.Default value is
true. -
Default boolean logic used to interpret text in the query string if no operators are specified.
Values are
and,AND,or, orOR. -
Array of fields you wish to search. Accepts wildcard expressions. You also can boost relevance scores for matches to particular fields using a caret (
^) notation. Defaults to theindex.query.default_field indexsetting, which has a default value of*. -
Maximum number of terms to which the query expands for fuzzy matching.
Default value is
50.0. -
Number of beginning characters left unchanged for fuzzy matching.
Default value is
0.0. -
If
true, edits for fuzzy matching include transpositions of two adjacent characters (for example,abtoba). -
If
true, format-based errors, such as providing a text value for a numeric field, are ignored.Default value is
false. -
Query string in the simple query string syntax you wish to parse and use for search.
-
Suffix appended to quoted text in the query string.
-
-
Returns matches which enclose another span query.
External documentation Hide span_containing attributes Show span_containing attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Can be any span query. Matching spans from
bigthat contain matches fromlittleare returned. -
Can be any span query. Matching spans from
bigthat contain matches fromlittleare returned.
-
-
Wrapper to allow span queries to participate in composite single-field span queries by lying about their search field.
External documentation Hide span_field_masking attributes Show span_field_masking attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Path to field or array of paths. Some API's support wildcards in the path to select multiple fields.
-
-
Matches spans near the beginning of a field.
External documentation Hide span_first attributes Show span_first attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Controls the maximum end position permitted in a match.
-
Can be any other span type query.
-
-
Allows you to wrap a multi term query (one of
wildcard,fuzzy,prefix,range, orregexpquery) as aspanquery, so it can be nested.External documentation Hide span_multi attributes Show span_multi attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Should be a multi term query (one of
wildcard,fuzzy,prefix,range, orregexpquery).
-
-
Matches spans which are near one another. You can specify
slop, the maximum number of intervening unmatched positions, as well as whether matches are required to be in-order.External documentation Hide span_near attributes Show span_near attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Array of one or more other span type queries.
-
Controls whether matches are required to be in-order.
-
Controls the maximum number of intervening unmatched positions permitted.
-
-
Removes matches which overlap with another span query or which are within x tokens before (controlled by the parameter
pre) or y tokens after (controlled by the parameterpost) another span query.External documentation Hide span_not attributes Show span_not attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The number of tokens from within the include span that can’t have overlap with the exclude span. Equivalent to setting both
preandpost. -
Span query whose matches must not overlap those returned.
-
Span query whose matches are filtered.
-
The number of tokens after the include span that can’t have overlap with the exclude span.
Default value is
0.0. -
The number of tokens before the include span that can’t have overlap with the exclude span.
Default value is
0.0.
-
-
Matches the union of its span clauses.
External documentation Hide span_or attributes Show span_or attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Array of one or more other span type queries.
-
-
Matches spans containing a term.
External documentation -
Returns matches which are enclosed inside another span query.
External documentation Hide span_within attributes Show span_within attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
Can be any span query. Matching spans from
littlethat are enclosed withinbigare returned. -
Can be any span query. Matching spans from
littlethat are enclosed withinbigare returned.
-
-
Using input query vectors or a natural language processing model to convert a query into a list of token-weight pairs, queries against a sparse vector field.
External documentation Hide sparse_vector attributes Show sparse_vector attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
The query text you want to use for search. If inference_id is specified, query must also be specified.
-
Whether to perform pruning, omitting the non-significant tokens from the query to improve query performance. If prune is true but the pruning_config is not specified, pruning will occur but default values will be used. Default: false
-
Dictionary of precomputed sparse vectors and their associated weights. Only one of inference_id or query_vector may be supplied in a request.
-
-
Returns documents that contain an exact term in a provided field. To return a document, the query term must exactly match the queried field's value, including whitespace and capitalization.
External documentation -
Returns documents that contain one or more exact terms in a provided field. To return a document, one or more terms must exactly match a field value, including whitespace and capitalization.
External documentation Hide terms attributes Show terms attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
Returns documents that contain a minimum number of exact terms in a provided field. To return a document, a required number of terms must exactly match the field values, including whitespace and capitalization.
External documentation -
Uses a natural language processing model to convert the query text into a list of token-weight pairs which are then used in a query against a sparse vector or rank features field.
External documentation -
Supports returning text_expansion query results by sending in precomputed tokens with the query.
External documentation -
Returns documents that contain terms matching a wildcard pattern.
External documentation -
A query that accepts any other query as base64 encoded string.
External documentation Hide wrapper attributes Show wrapper attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0. -
A base64 encoded query. The binary data format can be any of JSON, YAML, CBOR or SMILE encodings
-
-
Hide type attributes Show type attributes object
-
Floating point number used to decrease or increase the relevance scores of the query. Boost values are relative to the default value of 1.0. A boost value between 0 and 1.0 decreases the relevance score. A value greater than 1.0 increases the relevance score.
Default value is
1.0.
-
-
-
Value used to route indexing operations to a specific shard. If specified, this overwrites the
routingvalue for indexing operations. Data stream aliases don’t support this parameter. -
If
true, sets the write index or data stream for the alias. If an alias points to multiple indices or data streams andis_write_indexisn’t set, the alias rejects write requests. If an index alias points to one index andis_write_indexisn’t set, the index automatically acts as the write index. Data stream aliases don’t automatically set a write data stream, even if the alias points to one data stream. -
Value used to route indexing and search operations to a specific shard. Data stream aliases don’t support this parameter.
-
Value used to route search operations to a specific shard. If specified, this overwrites the
routingvalue for search operations. Data stream aliases don’t support this parameter.
curl \
--request PUT 'http://api.example.com/{index}/_alias/{name}' \
--header "Content-Type: application/json" \
--data '"{\n \"filter\": {\n \"bool\": {\n \"filter\": [\n {\n \"range\": {\n \"@timestamp\": {\n \"gte\": \"now-1d/d\",\n \"lt\": \"now/d\"\n }\n }\n },\n {\n \"term\": {\n \"user.id\": \"kimchy\"\n }\n }\n ]\n }\n }\n}"'
{
"filter": {
"bool": {
"filter": [
{
"range": {
"@timestamp": {
"gte": "now-1d/d",
"lt": "now/d"
}
}
},
{
"term": {
"user.id": "kimchy"
}
}
]
}
}
}
{
"is_write_index": true
}
{
"routing": "1"
}